Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1413048 - Once NetworkManager is stopped, the ifcfg files it created via nmtui\cockpit are incompatible with initscripts, since MASTER=UUID instead of MASTER=device_name
Summary: Once NetworkManager is stopped, the ifcfg files it created via nmtui\cockpit ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: sushil kulkarni
QA Contact: Desktop QE
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1369008
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 13:18 UTC by Jaroslav Reznik
Modified: 2017-09-28 22:19 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when creating a Team, Bridge, or Bond slave, NetworkManager wrote the Universally Unique Identifier (UUID) of the master connection to the ifcfg file. This was not compatible with the legacy network service that supports only using the device interface name. With this update, NetworkManager attempts to write a device name in addition to the connection UUID, and compatibility with the legacy network service has been improved. Note that only UUID is used in case NetworkManager is not able to resolve the master connection into a device name. That is currently the case when slave connections are added before the master connection is saved in the nmtui tool.
Clone Of: 1369008
Environment:
Last Closed: 2017-03-02 17:11:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0377 0 normal SHIPPED_LIVE NetworkManager bug fix update 2017-03-02 22:05:15 UTC

Description Jaroslav Reznik 2017-01-13 13:18:14 UTC
This bug has been copied from bug #1369008 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 7 Vladimir Benes 2017-02-21 11:42:21 UTC
The nmtui all in once issue is tracked in bug 1425409

Comment 10 errata-xmlrpc 2017-03-02 17:11:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0377.html


Note You need to log in before you can comment on or make changes to this bug.